Debian Bug report logs - #695634
linux-image-3.6-trunk-amd64: fails to execute action (hibernate) on critical battery condition - HP Folio 13-2000

Package: src:linux; Maintainer for src:linux is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Stefan Nagy <public@stefan-nagy.at>

Date: Tue, 11 Dec 2012 00:33:01 UTC

Severity: important

Done: Jonathan Nieder <jrnieder@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.kernel.org/show_bug.cgi?id=52111

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#695634; Package src:linux. (Tue, 11 Dec 2012 00:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Nagy <public@stefan-nagy.at>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 11 Dec 2012 00:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefan Nagy <public@stefan-nagy.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-3.6-trunk-amd64: fails to execute action (hibernate) on critical battery condition - HP Folio 13-2000
Date: Tue, 11 Dec 2012 01:31:45 +0100
Package: src:linux
Version: 3.6.9-1~experimental.1
Severity: grave
Justification: causes non-serious data loss

Dear Maintainer,

when my notebook's battery runs out (reaches a critical state), GNOME isn't
able to send it into hibernation. GNOME reports low as well as critical battery
level but fails to send my notebook into hibernation before it suddenly shuts
down – I already lost some work because of this. I reported this bug against
gnome-settings-daemon some months ago, see bug #684186. Since this seems to be
a hardware specific issue I'm filing a kernel bug now.

Sending my notebook into hibernation manually works without any problems.
linux-image-3.2.0-4-amd64 (3.2.32-1) is also affected by this bug. I also tried
various upstream kernel versions with no luck.

Please tell me if you need more information.



-- Package-specific info:
** Version:
Linux version 3.6-trunk-amd64 (debian-kernel@lists.debian.org) (gcc version 4.6.3 (Debian 4.6.3-11) ) #1 SMP Debian 3.6.9-1~experimental.1

** Command line:
BOOT_IMAGE=/vmlinuz-3.6-trunk-amd64 root=/dev/mapper/rosa-root ro quiet video.use_bios_initial_backlight=0

** Tainted: C (1024)
 * Module from drivers/staging has been loaded.

** Kernel log:
[   15.069087] lp: driver loaded but no devices found
[   15.075883] ppdev: user-space parallel port driver
[   15.342115] r8169 0000:01:00.0: eth0: link down
[   15.342252] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[   15.345082] iwlwifi 0000:02:00.0: L1 Enabled; Disabling L0S
[   15.351778] iwlwifi 0000:02:00.0: Radio type=0x2-0x2-0x1
[   15.438700] iwlwifi 0000:02:00.0: L1 Enabled; Disabling L0S
[   15.445461] iwlwifi 0000:02:00.0: Radio type=0x2-0x2-0x1
[   15.530356] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready
[   15.752174] input: ACPI Virtual Keyboard Device as /devices/virtual/input/input12
[   15.769085] Ebtables v2.0 registered
[   15.791303] ip_tables: (C) 2000-2006 Netfilter Core Team
[   15.807600] ip6_tables: (C) 2000-2006 Netfilter Core Team
[   16.757462] wlan0: authenticate with 70:72:3c:20:76:08
[   16.784911] wlan0: send auth to 70:72:3c:20:76:08 (try 1/3)
[   16.789363] wlan0: authenticated
[   16.789609] wlan0: waiting for beacon from 70:72:3c:20:76:08
[   16.890685] wlan0: associate with 70:72:3c:20:76:08 (try 1/3)
[   16.894768] wlan0: RX AssocResp from 70:72:3c:20:76:08 (capab=0x431 status=0 aid=1)
[   16.908879] wlan0: associated
[   16.909000] IPv6: ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[   16.909253] cfg80211: Calling CRDA for country: CA
[   16.915674] cfg80211: Regulatory domain changed to country: CA
[   16.915684] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[   16.915694] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
[   16.915701] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
[   16.915707] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   16.915714] cfg80211:   (5490000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   16.915722] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
[   23.076233] Bluetooth: HIDP (Human Interface Emulation) ver 1.2
[   24.559455] hid-generic 0005:045E:0700.0001: unknown main item tag 0x0
[   24.559610] input: Microsoft Bluetooth Notebook Mouse 5000 as /devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.2/3-1.2:1.0/bluetooth/hci0/hci0:36/input13
[   24.560410] hid-generic 0005:045E:0700.0001: input,hidraw0: BLUETOOTH HID v1.00 Mouse [Microsoft Bluetooth Notebook Mouse 5000] on 4C:EB:42:1A:52:01
[   49.396700] hid-generic 0005:045E:0762.0002: unknown main item tag 0x0
[   49.397057] input: Microsoft Bluetooth Mobile Keyboard 6000 as /devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.2/3-1.2:1.0/bluetooth/hci0/hci0:40/input14
[   49.399554] hid-generic 0005:045E:0762.0002: input,hidraw1: BLUETOOTH HID v0.13 Keyboard [Microsoft Bluetooth Mobile Keyboard 6000] on 4C:EB:42:1A:52:01
[ 1810.780322] hid-generic 0005:045E:0700.0003: unknown main item tag 0x0
[ 1810.780576] input: Microsoft Bluetooth Notebook Mouse 5000 as /devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.2/3-1.2:1.0/bluetooth/hci0/hci0:36/input15
[ 1810.781007] hid-generic 0005:045E:0700.0003: input,hidraw0: BLUETOOTH HID v1.00 Mouse [Microsoft Bluetooth Notebook Mouse 5000] on 4C:EB:42:1A:52:01
[ 3822.678138] fuse init (API version 7.20)
[ 5152.411809] hid-generic 0005:045E:0762.0004: unknown main item tag 0x0
[ 5152.411957] input: Microsoft Bluetooth Mobile Keyboard 6000 as /devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.2/3-1.2:1.0/bluetooth/hci0/hci0:40/input16
[ 5152.412398] hid-generic 0005:045E:0762.0004: input,hidraw1: BLUETOOTH HID v0.13 Keyboard [Microsoft Bluetooth Mobile Keyboard 6000] on 4C:EB:42:1A:52:01
[12633.041158] hid-generic 0005:045E:0700.0005: unknown main item tag 0x0
[12633.041292] input: Microsoft Bluetooth Notebook Mouse 5000 as /devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.2/3-1.2:1.0/bluetooth/hci0/hci0:36/input17
[12633.043055] hid-generic 0005:045E:0700.0005: input,hidraw0: BLUETOOTH HID v1.00 Mouse [Microsoft Bluetooth Notebook Mouse 5000] on 4C:EB:42:1A:52:01
[12711.485312] hid-generic 0005:045E:0762.0006: unknown main item tag 0x0
[12711.486585] input: Microsoft Bluetooth Mobile Keyboard 6000 as /devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.2/3-1.2:1.0/bluetooth/hci0/hci0:40/input18
[12711.486762] hid-generic 0005:045E:0762.0006: input,hidraw1: BLUETOOTH HID v0.13 Keyboard [Microsoft Bluetooth Mobile Keyboard 6000] on 4C:EB:42:1A:52:01
[14726.444681] hid-generic 0005:045E:0762.0007: unknown main item tag 0x0
[14726.444934] input: Microsoft Bluetooth Mobile Keyboard 6000 as /devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.2/3-1.2:1.0/bluetooth/hci0/hci0:40/input19
[14726.445089] hid-generic 0005:045E:0762.0007: input,hidraw1: BLUETOOTH HID v0.13 Keyboard [Microsoft Bluetooth Mobile Keyboard 6000] on 4C:EB:42:1A:52:01
[26125.086200] hid-generic 0005:045E:0700.0008: unknown main item tag 0x0
[26125.086463] input: Microsoft Bluetooth Notebook Mouse 5000 as /devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.2/3-1.2:1.0/bluetooth/hci0/hci0:36/input20
[26125.086914] hid-generic 0005:045E:0700.0008: input,hidraw0: BLUETOOTH HID v1.00 Mouse [Microsoft Bluetooth Notebook Mouse 5000] on 4C:EB:42:1A:52:01
[26133.218130] hid-generic 0005:045E:0762.0009: unknown main item tag 0x0
[26133.218607] input: Microsoft Bluetooth Mobile Keyboard 6000 as /devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.2/3-1.2:1.0/bluetooth/hci0/hci0:40/input21
[26133.220726] hid-generic 0005:045E:0762.0009: input,hidraw1: BLUETOOTH HID v0.13 Keyboard [Microsoft Bluetooth Mobile Keyboard 6000] on 4C:EB:42:1A:52:01
[27627.558609] hid-generic 0005:045E:0762.000A: unknown main item tag 0x0
[27627.558968] input: Microsoft Bluetooth Mobile Keyboard 6000 as /devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.2/3-1.2:1.0/bluetooth/hci0/hci0:40/input22
[27627.560930] hid-generic 0005:045E:0762.000A: input,hidraw1: BLUETOOTH HID v0.13 Keyboard [Microsoft Bluetooth Mobile Keyboard 6000] on 4C:EB:42:1A:52:01
[30962.294758] mkvinfo[30310]: segfault at ffffffff ip 0000000000451934 sp 00007fff5cdce3a0 error 4 in mkvinfo-gui[400000+16e000]
[35327.095215] hda-intel: IRQ timing workaround is activated for card #0. Suggest a bigger bdl_pos_adj.
[35331.671343] hda-intel: Unstable LPIB (65336 >= 8192); disabling LPIB delay counting
[36842.838978] hid-generic 0005:045E:0762.000B: unknown main item tag 0x0
[36842.839384] input: Microsoft Bluetooth Mobile Keyboard 6000 as /devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.2/3-1.2:1.0/bluetooth/hci0/hci0:40/input23
[36842.839590] hid-generic 0005:045E:0762.000B: input,hidraw1: BLUETOOTH HID v0.13 Keyboard [Microsoft Bluetooth Mobile Keyboard 6000] on 4C:EB:42:1A:52:01
[37178.994814] usb 1-2: new high-speed USB device number 2 using xhci_hcd
[37179.013138] usb 1-2: New USB device found, idVendor=1307, idProduct=0165
[37179.013148] usb 1-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[37179.013154] usb 1-2: Product: USB Mass Storage Device
[37179.013159] usb 1-2: Manufacturer: USBest Technology
[37179.013164] usb 1-2: SerialNumber: 00000000000AC3
[37179.089853] usbcore: registered new interface driver uas
[37179.094398] Initializing USB Mass Storage driver...
[37179.094616] scsi7 : usb-storage 1-2:1.0
[37179.094762] usbcore: registered new interface driver usb-storage
[37179.094764] USB Mass Storage support registered.
[37180.095277] scsi 7:0:0:0: Direct-Access     Ut165    USB2FlashStorage 0.00 PQ: 0 ANSI: 2
[37180.097760] sd 7:0:0:0: Attached scsi generic sg2 type 0
[37180.098213] sd 7:0:0:0: [sdc] 15794176 512-byte logical blocks: (8.08 GB/7.53 GiB)
[37180.098929] sd 7:0:0:0: [sdc] Write Protect is off
[37180.098937] sd 7:0:0:0: [sdc] Mode Sense: 00 00 00 00
[37180.099390] sd 7:0:0:0: [sdc] Asking for cache data failed
[37180.099397] sd 7:0:0:0: [sdc] Assuming drive cache: write through
[37180.102111] sd 7:0:0:0: [sdc] Asking for cache data failed
[37180.102122] sd 7:0:0:0: [sdc] Assuming drive cache: write through
[37180.239952]  sdc: sdc1
[37180.380337] sd 7:0:0:0: [sdc] Asking for cache data failed
[37180.380349] sd 7:0:0:0: [sdc] Assuming drive cache: write through
[37180.380355] sd 7:0:0:0: [sdc] Attached SCSI removable disk
[37180.876420] FAT-fs (sdc1): utf8 is not a recommended IO charset for FAT filesystems, filesystem will be case sensitive!
[40382.318493] hid-generic 0005:045E:0700.000C: unknown main item tag 0x0
[40382.318622] input: Microsoft Bluetooth Notebook Mouse 5000 as /devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.2/3-1.2:1.0/bluetooth/hci0/hci0:36/input24
[40382.318929] hid-generic 0005:045E:0700.000C: input,hidraw0: BLUETOOTH HID v1.00 Mouse [Microsoft Bluetooth Notebook Mouse 5000] on 4C:EB:42:1A:52:01
[41609.462466] hid-generic 0005:045E:0762.000D: unknown main item tag 0x0
[41609.462817] input: Microsoft Bluetooth Mobile Keyboard 6000 as /devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.2/3-1.2:1.0/bluetooth/hci0/hci0:40/input25
[41609.465346] hid-generic 0005:045E:0762.000D: input,hidraw1: BLUETOOTH HID v0.13 Keyboard [Microsoft Bluetooth Mobile Keyboard 6000] on 4C:EB:42:1A:52:01
[41752.884146] sdc: detected capacity change from 8086618112 to 0
[41757.298110] usb 1-2: USB disconnect, device number 2

** Model information
sys_vendor: Hewlett-Packard
product_name: HP Folio 13 - 2000 Notebook PC
product_version: 0687100400204A00000330100
chassis_vendor: Hewlett-Packard
chassis_version: Chassis Version
bios_vendor: Hewlett-Packard
bios_version: F.17
board_vendor: Hewlett-Packard
board_name: 1899
board_version: 46.80

** Loaded modules:
nls_utf8
nls_cp437
vfat
fat
usb_storage
uas
fuse
hid_generic
hidp
hid
ip6table_filter
ip6_tables
iptable_filter
ip_tables
ebtable_nat
ebtables
x_tables
parport_pc
ppdev
lp
parport
bnep
rfcomm
binfmt_misc
uinput
nfsd
auth_rpcgss
nfs_acl
nfs
lockd
dns_resolver
fscache
sunrpc
ext2
usblp
loop
joydev
snd_hda_codec_hdmi
snd_hda_codec_idt
arc4
iwldvm
mac80211
snd_hda_intel
snd_hda_codec
snd_hwdep
i915
snd_pcm
snd_page_alloc
snd_seq
uvcvideo
iwlwifi
snd_seq_device
videobuf2_vmalloc
drm_kms_helper
videobuf2_memops
snd_timer
videobuf2_core
drm
videodev
psmouse
cfg80211
snd
hp_wmi
iTCO_wdt
acpi_cpufreq
i2c_algo_bit
media
coretemp
btusb
bluetooth
sparse_keymap
iTCO_vendor_support
kvm
microcode
pcspkr
i2c_i801
serio_raw
evdev
soundcore
rts_pstor(C)
mperf
i2c_core
wmi
rfkill
ac
battery
video
mei
lpc_ich
mfd_core
button
tpm_tis
processor
tpm
tpm_bios
ext4
crc16
jbd2
mbcache
xts
gf128mul
dm_crypt
dm_mod
sg
sd_mod
crc_t10dif
ehci_hcd
crc32c_intel
ghash_clmulni_intel
sdhci_pci
sdhci
mmc_core
ahci
libahci
aesni_intel
aes_x86_64
xhci_hcd
libata
thermal
aes_generic
ablk_helper
cryptd
usbcore
fan
thermal_sys
scsi_mod
r8169
mii
usb_common

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation 2nd Generation Core Processor Family DRAM Controller [8086:0104] (rev 09)
	Subsystem: Hewlett-Packard Company Device [103c:1899]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:02.0 VGA compatible controller [0300]: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])
	Subsystem: Hewlett-Packard Company Device [103c:1899]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 49
	Region 0: Memory at c0000000 (64-bit, non-prefetchable) [size=4M]
	Region 2: Memory at b0000000 (64-bit, prefetchable) [size=256M]
	Region 4: I/O ports at 4000 [size=64]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915

00:16.0 Communication controller [0780]: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 [8086:1c3a] (rev 04)
	Subsystem: Hewlett-Packard Company Device [103c:1899]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 47
	Region 0: Memory at c2704000 (64-bit, non-prefetchable) [size=16]
	Capabilities: <access denied>
	Kernel driver in use: mei

00:1a.0 USB controller [0c03]: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 [8086:1c2d] (rev 04) (prog-if 20 [EHCI])
	Subsystem: Hewlett-Packard Company Device [103c:1899]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at c2709000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1b.0 Audio device [0403]: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller [8086:1c20] (rev 04)
	Subsystem: Hewlett-Packard Company Device [103c:1899]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 50
	Region 0: Memory at c2700000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: snd_hda_intel

00:1c.0 PCI bridge [0604]: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 [8086:1c10] (rev b4) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 00003000-00003fff
	Prefetchable memory behind bridge: 00000000c0400000-00000000c04fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.2 PCI bridge [0604]: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 3 [8086:1c14] (rev b4) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	Memory behind bridge: c2600000-c26fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.3 PCI bridge [0604]: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 4 [8086:1c16] (rev b4) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort+ <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=03, subordinate=08, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: c1600000-c25fffff
	Prefetchable memory behind bridge: 00000000c0500000-00000000c14fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.4 PCI bridge [0604]: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 5 [8086:1c18] (rev b4) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=09, subordinate=09, sec-latency=0
	Memory behind bridge: c1500000-c15fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1d.0 USB controller [0c03]: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 [8086:1c26] (rev 04) (prog-if 20 [EHCI])
	Subsystem: Hewlett-Packard Company Device [103c:1899]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at c2708000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1f.0 ISA bridge [0601]: Intel Corporation HM65 Express Chipset Family LPC Controller [8086:1c49] (rev 04)
	Subsystem: Hewlett-Packard Company Device [103c:1899]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>
	Kernel driver in use: lpc_ich

00:1f.2 SATA controller [0106]: Intel Corporation 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller [8086:1c03] (rev 04) (prog-if 01 [AHCI 1.0])
	Subsystem: Hewlett-Packard Company Device [103c:1899]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 46
	Region 0: I/O ports at 4088 [size=8]
	Region 1: I/O ports at 4094 [size=4]
	Region 2: I/O ports at 4080 [size=8]
	Region 3: I/O ports at 4090 [size=4]
	Region 4: I/O ports at 4060 [size=32]
	Region 5: Memory at c2707000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

00:1f.3 SMBus [0c05]: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller [8086:1c22] (rev 04)
	Subsystem: Hewlett-Packard Company Device [103c:1899]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin C routed to IRQ 19
	Region 0: Memory at c2705000 (64-bit, non-prefetchable) [size=256]
	Region 4: I/O ports at 4040 [size=32]

01:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 06)
	Subsystem: Hewlett-Packard Company Device [103c:1899]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 40
	Region 0: I/O ports at 3000 [size=256]
	Region 2: Memory at c0404000 (64-bit, prefetchable) [size=4K]
	Region 4: Memory at c0400000 (64-bit, prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: r8169

02:00.0 Network controller [0280]: Intel Corporation Centrino Wireless-N 1030 [8086:008b] (rev 34)
	Subsystem: Intel Corporation Centrino Wireless-N 1030 BGN [8086:5315]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 48
	Region 0: Memory at c2600000 (64-bit, non-prefetchable) [size=8K]
	Capabilities: <access denied>
	Kernel driver in use: iwlwifi

03:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS5209 PCI Express Card Reader [10ec:5209] (rev 01)
	Subsystem: Realtek Semiconductor Co., Ltd. RTS5209 PCI Express Card Reader [10ec:5209]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 19
	Region 0: Memory at c1601000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: rts_pstor

03:00.1 SD Host controller [0805]: Realtek Semiconductor Co., Ltd. RTS5209 PCI Express Card Reader [10ec:5209] (rev 01)
	Subsystem: Realtek Semiconductor Co., Ltd. RTS5209 PCI Express Card Reader [10ec:5209]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 16
	Region 0: Memory at c1600000 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: sdhci-pci

09:00.0 USB controller [0c03]: Fresco Logic Device [1b73:1009] (rev 02) (prog-if 30 [XHCI])
	Subsystem: Hewlett-Packard Company Device [103c:1899]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at c1500000 (64-bit, non-prefetchable) [size=64K]
	Region 2: Memory at c1510000 (64-bit, non-prefetchable) [size=4K]
	Region 4: Memory at c1511000 (64-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: xhci_hcd


** USB devices:
Bus 003 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 004 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 003: ID 1bcf:2c07 Sunplus Innovation Technology Inc. 
Bus 003 Device 004: ID 8086:0189 Intel Corp. 


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.6-trunk-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_AT.utf8, LC_CTYPE=de_AT.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-3.6-trunk-amd64 depends on:
ii  debconf [debconf-2.0]                   1.5.46
ii  initramfs-tools [linux-initramfs-tool]  0.109
ii  kmod                                    9-2
ii  linux-base                              3.5
ii  module-init-tools                       9-2

Versions of packages linux-image-3.6-trunk-amd64 recommends:
ii  firmware-linux-free  3.1

Versions of packages linux-image-3.6-trunk-amd64 suggests:
pn  debian-kernel-handbook  <none>
ii  grub-pc                 1.99-23
pn  linux-doc-3.6           <none>

Versions of packages linux-image-3.6-trunk-amd64 is related to:
pn  firmware-atheros        <none>
pn  firmware-bnx2           <none>
pn  firmware-bnx2x          <none>
pn  firmware-brcm80211      <none>
pn  firmware-intelwimax     <none>
pn  firmware-ipw2x00        <none>
pn  firmware-ivtv           <none>
ii  firmware-iwlwifi        0.36
pn  firmware-libertas       <none>
pn  firmware-linux          <none>
ii  firmware-linux-nonfree  0.36
pn  firmware-myricom        <none>
pn  firmware-netxen         <none>
pn  firmware-qlogic         <none>
pn  firmware-ralink         <none>
ii  firmware-realtek        0.36
pn  xen-hypervisor          <none>

-- debconf information:
* linux-image-3.6-trunk-amd64/postinst/missing-firmware-3.6-trunk-amd64:
  linux-image-3.6-trunk-amd64/prerm/removing-running-kernel-3.6-trunk-amd64: true
  linux-image-3.6-trunk-amd64/postinst/ignoring-ramdisk:
  linux-image-3.6-trunk-amd64/postinst/depmod-error-initrd-3.6-trunk-amd64: false



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#695634; Package src:linux. (Tue, 11 Dec 2012 01:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Nagy <public@stefan-nagy.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 11 Dec 2012 01:00:03 GMT) Full text and rfc822 format available.

Message #10 received at 695634@bugs.debian.org (full text, mbox):

From: Stefan Nagy <public@stefan-nagy.at>
To: 695634@bugs.debian.org
Subject: Re: linux-image-3.6-trunk-amd64: fails to execute action (hibernate) on critical battery condition - HP Folio 13-2000
Date: Tue, 11 Dec 2012 01:56:48 +0100
[Message part 1 (text/plain, inline)]
Since I guess this is an ACPI related issue, additional to the dmesg log
and the output of lscpi --vvnn I attach the output of acpidump and the
disassembled ASL source code file (DSDT).

I hope this helps.
[demsg (text/plain, attachment)]
[lspci (text/plain, attachment)]
[dmidecode (text/plain, attachment)]
[acpidump.tar.gz (application/x-compressed-tar, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#695634; Package src:linux. (Tue, 11 Dec 2012 01:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 11 Dec 2012 01:00:05 GMT) Full text and rfc822 format available.

Message #15 received at 695634@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Stefan Nagy <public@stefan-nagy.at>, 695634@bugs.debian.org
Subject: Re: Bug#695634: linux-image-3.6-trunk-amd64: fails to execute action (hibernate) on critical battery condition - HP Folio 13-2000
Date: Tue, 11 Dec 2012 00:57:52 +0000
[Message part 1 (text/plain, inline)]
Control: severity -1 important
Control: tag -1 normal

On Tue, 2012-12-11 at 01:31 +0100, Stefan Nagy wrote:
> Package: src:linux
> Version: 3.6.9-1~experimental.1
> Severity: grave
> Justification: causes non-serious data loss
>
> Dear Maintainer,
> 
> when my notebook's battery runs out (reaches a critical state), GNOME isn't
> able to send it into hibernation. GNOME reports low as well as critical battery
> level but fails to send my notebook into hibernation before it suddenly shuts
> down – I already lost some work because of this. I reported this bug against
> gnome-settings-daemon some months ago, see bug #684186. Since this seems to be
> a hardware specific issue I'm filing a kernel bug now.
> 
> Sending my notebook into hibernation manually works without any problems.
> linux-image-3.2.0-4-amd64 (3.2.32-1) is also affected by this bug. I also tried
> various upstream kernel versions with no luck.
> 
> Please tell me if you need more information.

You confirmed that hibernation works and that GNOME is properly
detecting the low battery level, so I don't see how this is a kernel
bug.  The decision to hibernate is a matter of userland policy, so I
think you were right with #684186.

Ben.

-- 
Ben Hutchings
Theory and practice are closer in theory than in practice.
                                - John Levine, moderator of comp.compilers
[signature.asc (application/pgp-signature, inline)]

Severity set to 'important' from 'grave' Request was from Ben Hutchings <ben@decadent.org.uk> to 695634-submit@bugs.debian.org. (Tue, 11 Dec 2012 01:00:05 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 11 Dec 2012 01:00:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#695634; Package src:linux. (Tue, 11 Dec 2012 17:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Nagy <public@stefan-nagy.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 11 Dec 2012 17:30:03 GMT) Full text and rfc822 format available.

Message #24 received at 695634@bugs.debian.org (full text, mbox):

From: Stefan Nagy <public@stefan-nagy.at>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 695634@bugs.debian.org
Subject: Re: Bug#695634: linux-image-3.6-trunk-amd64: fails to execute action (hibernate) on critical battery condition - HP Folio 13-2000
Date: Tue, 11 Dec 2012 18:27:33 +0100
Ben Hutchings wrote:
> You confirmed that hibernation works and that GNOME is properly
> detecting the low battery level, so I don't see how this is a kernel
> bug.  The decision to hibernate is a matter of userland policy, so I
> think you were right with #684186.

I'm not so sure about this since the lowest value I get with 'acpi -b'
is 2% and about 00:06:00 seconds remaining. I've tested this again today
and I saw those values seconds before my battery drained and my notebook
shut down.

As mentioned in message #57 of bug #684186 I guess I'm affected by two
separate bugs here: g-s-d fails to execute actions on low battery
condition and at the same time ACPI reports incorrect battery values –
that's the reason why I opened another bugreport.

Stefan.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#695634; Package src:linux. (Tue, 11 Dec 2012 19:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Nagy <public@stefan-nagy.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 11 Dec 2012 19:21:06 GMT) Full text and rfc822 format available.

Message #29 received at 695634@bugs.debian.org (full text, mbox):

From: Stefan Nagy <public@stefan-nagy.at>
To: 695634@bugs.debian.org
Subject: Re: Bug#695634: linux-image-3.6-trunk-amd64: fails to execute action (hibernate) on critical battery condition - HP Folio 13-2000
Date: Tue, 11 Dec 2012 20:16:27 +0100
I tested this some more by observing the output of 'acpi -a'. When my
battery is low the values (percentage, time remaining) jump.

Two minutes before my notebook suddenly shut down I got 00:05:00 minutes
left, a few seconds later 00:04:34 minutes, then 00:04:46 minutes,
00:04:54 minutes… Two or three seconds before my notebook finally shut
down I got 00:04:42 minutes left. For all this time percentage was at
2%.

After plugging in the AC adaptor and booting up I got 4% and 00:04:53
minutes "until charged" (!). I disconnected the AC adaptor again – now I
still had 4%, but just 00:00:15 seconds left. However, a few seconds
later I got 00:29:31 minutes remaining again.

If 'acpi' shows ACPI information (as the manpage states), ACPI
information can't be correct. For me this seems to be a kernel bug.

Stefan.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#695634; Package src:linux. (Wed, 12 Dec 2012 09:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Nagy <public@stefan-nagy.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 12 Dec 2012 09:45:05 GMT) Full text and rfc822 format available.

Message #34 received at 695634@bugs.debian.org (full text, mbox):

From: Stefan Nagy <public@stefan-nagy.at>
To: 695634@bugs.debian.org
Subject: Re: Bug#695634: linux-image-3.6-trunk-amd64: fails to execute action (hibernate) on critical battery condition - HP Folio 13-2000
Date: Wed, 12 Dec 2012 10:42:58 +0100
[Message part 1 (text/plain, inline)]
I just realized that UPower doesn't update the status of
/org/freedesktop/UPower/devices/line_power_ACAD (no matter which kernel
I use). It seems like the date in line 'updated:' is always identical to
uptime.

With kernel 3.6.9 however it gets even worse: both devices are affected
by this now:
- /org/freedesktop/UPower/devices/line_power_ACAD and
- /org/freedesktop/UPower/devices/battery_BAT1

I'll attach the output of 'upower --dump' (kernel 3.6.9-1). I had my AC
adaptor disconnected for more than 10 minutes – however, upower as well
as the GNOME indicator shows me I'm still connected and that my battery
has 100% left. At the same time 'acpi -b' gives me 93% (which makes
sense).

Maybe this is a upower bug?
[upower-dump (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#695634; Package src:linux. (Sat, 15 Dec 2012 01:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 15 Dec 2012 01:18:03 GMT) Full text and rfc822 format available.

Message #39 received at 695634@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Stefan Nagy <public@stefan-nagy.at>, 695634@bugs.debian.org
Subject: Re: Bug#695634: linux-image-3.6-trunk-amd64: fails to execute action (hibernate) on critical battery condition - HP Folio 13-2000
Date: Sat, 15 Dec 2012 01:14:31 +0000
[Message part 1 (text/plain, inline)]
On Tue, 2012-12-11 at 20:16 +0100, Stefan Nagy wrote:
> I tested this some more by observing the output of 'acpi -a'. When my
> battery is low the values (percentage, time remaining) jump.
> 
> Two minutes before my notebook suddenly shut down I got 00:05:00 minutes
> left, a few seconds later 00:04:34 minutes, then 00:04:46 minutes,
> 00:04:54 minutes… Two or three seconds before my notebook finally shut
> down I got 00:04:42 minutes left. For all this time percentage was at
> 2%.
> 
> After plugging in the AC adaptor and booting up I got 4% and 00:04:53
> minutes "until charged" (!). I disconnected the AC adaptor again – now I
> still had 4%, but just 00:00:15 seconds left. However, a few seconds
> later I got 00:29:31 minutes remaining again.
> 
> If 'acpi' shows ACPI information (as the manpage states), ACPI
> information can't be correct. For me this seems to be a kernel bug.

Is this a genuine HP or third party battery?

Ben.

-- 
Ben Hutchings
Theory and practice are closer in theory than in practice.
                                - John Levine, moderator of comp.compilers
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#695634; Package src:linux. (Sat, 15 Dec 2012 01:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Nagy <public@stefan-nagy.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 15 Dec 2012 01:27:03 GMT) Full text and rfc822 format available.

Message #44 received at 695634@bugs.debian.org (full text, mbox):

From: Stefan Nagy <public@stefan-nagy.at>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 695634@bugs.debian.org
Subject: Re: Bug#695634: linux-image-3.6-trunk-amd64: fails to execute action (hibernate) on critical battery condition - HP Folio 13-2000
Date: Sat, 15 Dec 2012 02:24:15 +0100
Ben Hutchings wrote:
> Is this a genuine HP or third party battery?

It's a genuin HP battery.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#695634; Package src:linux. (Sat, 15 Dec 2012 19:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Nagy <public@stefan-nagy.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 15 Dec 2012 19:30:03 GMT) Full text and rfc822 format available.

Message #49 received at 695634@bugs.debian.org (full text, mbox):

From: Stefan Nagy <public@stefan-nagy.at>
To: 695634@bugs.debian.org
Subject: Re: Bug#695634: linux-image-3.6-trunk-amd64: fails to execute action (hibernate) on critical battery condition - HP Folio 13-2000
Date: Sat, 15 Dec 2012 20:27:13 +0100
[Message part 1 (text/plain, inline)]
I tested this the whole day and eventually got a clearer picture of this
bug. gnome-settings-daemon fails to send my notebook into hibernation
because of two separate issues:

1) UPower fails to update the status of the AC adaptor. 'upower --dump'
shows that the time of last update is always identical to uptime. When
the adapter was plugged in while boot process, action on critical
battery will never be fired.

2) At low battery level the information UPower gets (from the kernel?)
is not correct. The reported battery level will never be lower than
2.99967% ('upower --dump') or 2% ('acpi -b'), time remaining never less
than around 5 minutes. gnome-settings-daemon's default is
'use-time-for-policy true' and 'time-action 120'. This status will never
be reached since the battery drains while time remaining is something
around 300 seconds.


I managed to manipulate the settings so that Gnome sends my notebook
into hibernation in two different ways:

1) I set 'time-critical 420' and 'time-action 300' and booted with the
AC adaptor plugged out, so that the status reported by 'upower --dump'
would be: 'line-power online: no'.

2) I set 'use-time-for-policy false', 'percentage-critical
4' (default=3),'percentage-action 3' (default=2) and booted with the AC
adaptor plugged out, so that the status reported by 'upower --dump'
would be: 'line-power online: no'.


I reassigned the bug I reported against gnome-settings-daemon to UPower:
#684186 However, UPower definitely receives incorrect values when
battery level is low. So I'm going to leave this bug open.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#695634; Package src:linux. (Sat, 15 Dec 2012 22:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 15 Dec 2012 22:33:03 GMT) Full text and rfc822 format available.

Message #54 received at 695634@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Stefan Nagy <public@stefan-nagy.at>
Cc: 695634@bugs.debian.org
Subject: Re: Bug#695634: linux-image-3.6-trunk-amd64: fails to execute action (hibernate) on critical battery condition - HP Folio 13-2000
Date: Sat, 15 Dec 2012 22:32:16 +0000
[Message part 1 (text/plain, inline)]
On Sat, 2012-12-15 at 02:24 +0100, Stefan Nagy wrote:
> Ben Hutchings wrote:
> > Is this a genuine HP or third party battery?
> 
> It's a genuin HP battery.

And presumably not very old (upower reports that the 'full' value is the
same as the 'full-design' value).  If the battery is OK then it would
seem that the system firmware is over-reporting the battery charge
level, and we might need a quirk to correct for that.

However, I don't see any similar quirk in the battery driver for any
other models, and this doesn't seem that likely to be a firmware bug as
this would be a problem for Windows power management as well.  (And
there don't seem to be any firmware updates available for this model.)
Did you leave Windows installed, and if so can you check whether that
detects the nearly-empty battery properly?

Ben.

-- 
Ben Hutchings
Theory and practice are closer in theory than in practice.
                                - John Levine, moderator of comp.compilers
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#695634; Package src:linux. (Sun, 16 Dec 2012 00:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Nagy <public@stefan-nagy.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 16 Dec 2012 00:18:05 GMT) Full text and rfc822 format available.

Message #59 received at 695634@bugs.debian.org (full text, mbox):

From: Stefan Nagy <public@stefan-nagy.at>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 695634@bugs.debian.org
Subject: Re: Bug#695634: linux-image-3.6-trunk-amd64: fails to execute action (hibernate) on critical battery condition - HP Folio 13-2000
Date: Sun, 16 Dec 2012 01:16:12 +0100
[Message part 1 (text/plain, inline)]
Ben Hutchings wrote:
> And presumably not very old (upower reports that the 'full' value is
> the same as the 'full-design' value).

I bought the notebook half a year ago, so yes, the battery is quite new.

> However, I don't see any similar quirk in the battery driver for any
> other models, and this doesn't seem that likely to be a firmware bug
> as this would be a problem for Windows power management as well.  (And
> there don't seem to be any firmware updates available for this model.)
> Did you leave Windows installed, and if so can you check whether that
> detects the nearly-empty battery properly?

No, I didn't. And since I'm writing my master theses on this notebook
right now I have no time to back up all data and setup Windows… I don't
know how relibale this information ist, but I just tested the battery
with the 'HP Unified Extensible Firmware Interface (UEFI) Support
Environment' and it passed.

Stefan.


[signature.asc (application/pgp-signature, inline)]

Removed tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 16 Dec 2012 12:42:09 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugzilla.kernel.org/show_bug.cgi?id=52111'. Request was from Stefan Nagy <public@stefan-nagy.at> to control@bugs.debian.org. (Sat, 29 Dec 2012 10:57:03 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 04 Feb 2013 17:09:25 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#695634; Package src:linux. (Mon, 04 Feb 2013 21:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Nagy <public@stefan-nagy.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 04 Feb 2013 21:18:03 GMT) Full text and rfc822 format available.

Message #70 received at 695634@bugs.debian.org (full text, mbox):

From: Stefan Nagy <public@stefan-nagy.at>
To: 695634@bugs.debian.org
Subject: Re: Bug#695634: linux-image-3.6-trunk-amd64: fails to execute action (hibernate) on critical battery condition - HP Folio 13-2000
Date: Mon, 04 Feb 2013 22:14:28 +0100
In the meantime I had the opportunity to test this on another HP Folio
13-2000 which is running Windows 7. The user wasn't affected by this bug
only because the default settings for 'critical battery level' were set
to 5 percent – so when the battery reached 5 percent the notebook would
be sent into hibernation.

When I changed this setting to 2 percent (in Windows 7) I was able to
reproduce this bug. So this really seems to be a firmware bug and not a
kernel bug. I'm in contact with the Hewlett Packard support now and hope
that they will fix their BIOS.

I'm going to keep the UPower bug open since UPower still fails to update
the status of the AC adapter but I'm going to close this bug since it
seems to be the BIOS which is responsible for the reported inaccurate
battery levels – not the kernel.

Thank you very much for your help!

Stefan.




Added tag(s) wontfix. Request was from Stefan Nagy <public@stefan-nagy.at> to control@bugs.debian.org. (Mon, 04 Feb 2013 21:33:03 GMT) Full text and rfc822 format available.

No longer marked as found in versions linux/3.6.9-1~experimental.1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 04 Feb 2013 21:51:05 GMT) Full text and rfc822 format available.

Removed tag(s) fixed-upstream and wontfix. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 04 Feb 2013 21:51:05 GMT) Full text and rfc822 format available.

Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Mon, 04 Feb 2013 21:51:08 GMT) Full text and rfc822 format available.

Notification sent to Stefan Nagy <public@stefan-nagy.at>:
Bug acknowledged by developer. (Mon, 04 Feb 2013 21:51:08 GMT) Full text and rfc822 format available.

Message #81 received at 695634-done@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Stefan Nagy <public@stefan-nagy.at>
Cc: 695634-done@bugs.debian.org
Subject: Re: Bug#695634: linux-image-3.6-trunk-amd64: fails to execute action (hibernate) on critical battery condition - HP Folio 13-2000
Date: Mon, 4 Feb 2013 13:47:54 -0800
notfound 695634 linux/3.6.9-1~experimental.1
tags 695634 =
quit

Stefan Nagy wrote:

> In the meantime I had the opportunity to test this on another HP Folio
> 13-2000 which is running Windows 7. The user wasn't affected by this bug
> only because the default settings for 'critical battery level' were set
> to 5 percent – so when the battery reached 5 percent the notebook would
> be sent into hibernation.
>
> When I changed this setting to 2 percent (in Windows 7) I was able to
> reproduce this bug.
[...]
> I'm going to keep the UPower bug open since UPower still fails to update
> the status of the AC adapter but I'm going to close this bug since it
> seems to be the BIOS which is responsible for the reported inaccurate
> battery levels – not the kernel.

Makes sense. Thanks for checking.

Regards,
Jonathan



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 05 Mar 2013 07:25:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:48:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.